-----------------------------------------------------------------------
--          GtkAda - Ada95 binding for the Gimp Toolkit              --
--                                                                   --
-- Copyright (C) 1998 Emmanuel Briot and Joel Brobecker              --
--                                                                   --
-- This library is free software; you can redistribute it and/or     --
-- modify it under the terms of the GNU Library General Public       --
-- License as published by the Free Software Foundation; either      --
-- version 2 of the License, or (at your option) any later version.  --
--                                                                   --
-- This library is distributed in the hope that it will be useful,   --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of    --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU --
-- Library General Public License for more details.                  --
--                                                                   --
-- You should have received a copy of the GNU Library General Public --
-- License along with this library; if not, write to the             --
-- Free Software Foundation, Inc., 59 Temple Place - Suite 330,      --
-- Boston, MA 02111-1307, USA.                                       --
--                                                                   --
-- As a special exception, if other files instantiate generics from  --
-- this unit, or you link this unit with other files to produce an   --
-- executable, this  unit  does not  by itself cause  the resulting  --
-- executable to be covered by the GNU General Public License. This  --
-- exception does not however invalidate any other reasons why the   --
-- executable file  might be covered by the  GNU Public License.     --
-----------------------------------------------------------------------

with Glib; use Glib;

package Gdk.Point is

   type Gdk_Point is new Root_Type with private;

   type Gdk_Points_Array is array (Positive range <>) of Gdk_Point;

   procedure Gdk_New (Point : out Gdk_Point);

   procedure Gdk_New (Point :    out Gdk_Point;
                      X     : in     Gint16;
                      Y     : in     Gint16);

   procedure Set_Coordinates (Point : in out Gdk_Point;
                              X     : in     Gint16;
                              Y     : in     Gint16);

   function Get_X (Point : in Gdk_Point) return Gint16;

   function Get_Y (Point : in Gdk_Point) return Gint16;

   procedure Destroy (Point : in out Gdk_Point);

private

   type Gdk_Point is new Root_Type with null record;

end Gdk.Point;
